
Extended Fields - Bug #2258

Custom fields in spent time details are not shown

25 Oct 2013 08:46 - Agustí Rivero

Status: Closed Start date: 25 Oct 2013

Priority: Normal Due date: 11 May 2014

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2.3   

Redmine version: 2.3.x External issue: #15039

Description

If you have a custom field in your trackers, in Spent time view, in “options” section you can add this “column” to details view.

Misteriously the content is not shown in html view but if you click CSV you can see it there. This happens with either text or select

content.

Using 0.2.2 Extended fields and Redmine 2.3.3

Associated revisions

Revision 116 - 11 May 2014 22:22 - Andriy Lesyuk

Fixed associated custom fields (#2258)

History

#1 - 13 Apr 2014 17:22 - Andriy Lesyuk

- Status changed from New to Open

- Target version set to 0.2.3

#2 - 02 May 2014 11:29 - Andriy Lesyuk

- External issue set to #15039

Could not reproduce this under Redmine 2.4.2...

#3 - 02 May 2014 22:15 - Andriy Lesyuk

- Status changed from Open to Incomplete

Failed to reproduce this under Redmine 2.3.x as well...

Can be fixed already - Agustí Rivero, could you please try fetching new code from SVN and testing?

#4 - 05 May 2014 11:41 - Agustí Rivero

- File issuedetails.png added

- File spenttime.png added

- File csv.png added

I installed a vanilla redmine 2.3.3 and SVN version of extended_fields.

I created two new custom attributes “custom wiki” and “custom text”. Then I created an issue and defined those attributes.

They are shown on issue details (attached issuedetails.png) and on csv download file (attached csv.png) but it is not shown on HTML view

(spenttime.png)

26 Apr 2024 1/3

http://projects.andriylesyuk.com/users/1041


So, it is not yet working for me (or a vanilla install)

Regards

#5 - 05 May 2014 13:28 - Agustí Rivero

- File redmine-2.4.2.png added

- File redmine-2.4.5.png added

- File redmine-2.5.1.png added

Tried on different redmine versions:

2.4.2 - the issue persists (the same worked for Andriy)

2.4.5 - the issue persists

2.5.1 - module doesn’t work

May be a gem version issue?

# gem list

*** LOCAL GEMS ***

actionmailer (4.0.2, 3.2.17, 3.2.16, 3.2.13)

actionpack (4.0.2, 3.2.17, 3.2.16, 3.2.13)

activemodel (4.0.2, 3.2.17, 3.2.16, 3.2.13)

activerecord (4.0.2, 3.2.17, 3.2.16, 3.2.13)

activerecord-deprecated_finders (1.0.3)

activeresource (3.2.17, 3.2.16, 3.2.13)

activesupport (4.0.2, 3.2.17, 3.2.16, 3.2.13)

arel (4.0.1, 3.0.3)

atomic (1.1.14)

awesome_nested_set (2.1.6)

builder (3.1.4, 3.0.0)

bundler (1.3.5)

bundler-unload (1.0.1)

coderay (1.1.0, 1.0.9)

daemon_controller (1.1.8)

erubis (2.7.0)

hike (1.2.3)

i18n (0.6.9, 0.6.1)

journey (1.0.4)

jquery-rails (2.0.3)

json (1.8.1)

mail (2.5.4)

mime-types (1.25.1)

mini_portile (0.5.2)

minitest (4.7.5)

multi_json (1.9.3, 1.8.4)

mysql2 (0.3.15, 0.3.14)

net-ldap (0.3.1)

nokogiri (1.6.1)

passenger (4.0.35)

polyglot (0.3.4, 0.3.3)

rack (1.5.2, 1.4.5)

rack-cache (1.2)

rack-openid (1.4.2, 1.4.1)

rack-ssl (1.3.4, 1.3.3)

rack-test (0.6.2)

rails (4.0.2, 3.2.17, 3.2.16, 3.2.13)

railties (4.0.2, 3.2.17, 3.2.16, 3.2.13)

rake (10.3.1, 10.1.1, 10.1.0)

rdoc (3.12.2)

redcarpet (2.3.0)

rmagick (2.13.2)

ruby-openid (2.3.0, 2.2.3)

rubygems-bundler (1.2.2)

rubyzip (0.9.9)

rvm (1.11.3.8)

simple_enum (1.6.8)

sprockets (2.10.1, 2.2.2)

sprockets-rails (2.0.1)
thor (0.19.1, 0.18.1)

thread_safe (0.1.3)

tilt (1.4.1)

treetop (1.4.15)

tzinfo (0.3.39, 0.3.38)

uuidtools (2.1.4)

xapian-full (1.2.3)

zip-zip (0.2)

#6 - 11 May 2014 19:13 - Andriy Lesyuk

- Status changed from Incomplete to In Progress

- Assignee set to Andriy Lesyuk

- % Done changed from 0 to 20

Now, I’m able to reproduce. Thanks!

#7 - 11 May 2014 22:23 - Andriy Lesyuk

- Due date set to 11 May 2014

- Status changed from In Progress to Closed

- % Done changed from 20 to 100

I believe I have fixed it in r116.
